Page 1 of 3 123 LastLast
Results 1 to 10 of 23

Thread: Error with updating and using apt-get (after update to 11.04)

  1. #1
    Join Date
    Nov 2009
    Location
    Ontario, Canada
    Beans
    63
    Distro
    Ubuntu 12.04 Precise Pangolin

    Exclamation Error with updating and using apt-get (after update to 11.04)

    this message comes up during either removing, installing or updating:
    Code:
    Reading package lists... Error!
    E: Encountered a section with no Package: header
    E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_binary-i386_Packages
    E: The package lists or status file could not be parsed or opened.
    Any suggestion?

    BTW, I have checked other posts, but I cannot understand what they say. I dislike fixing things, but I like understanding them, so if an issue can be simplified, that would be great for me =)
    AND
    I recently updated from 11.04 by updating through ubuntu 10.04. This problem was non-existent before the upgrade.

    thanks in advance =)

  2. #2
    Join Date
    Jan 2007
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Error with updating and using apt-get (after update to 11.04)

    Try this:

    Open Synaptic. Settings > Repositories > Ubuntu Software tab. Untick the (main) box, wait a second or two, then reselect it. Click the Reload button.

    This should force Ubuntu to redownload the main repository package list and may correct the error.
    GRUB2

    Retired.

  3. #3
    Join Date
    Nov 2009
    Location
    Ontario, Canada
    Beans
    63
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Error with updating and using apt-get (after update to 11.04)

    Quote Originally Posted by drs305 View Post
    Try this:

    Open Synaptic. Settings > Repositories > Ubuntu Software tab. Untick the (main) box, wait a second or two, then reselect it. Click the Reload button.

    This should force Ubuntu to redownload the main repository package list and may correct the error.
    I cannot even access the synaptic Package manager, it fails upon opening with this message,
    E: Encountered a section with no Package: header
    E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_bina ry-i386_Packages
    E: The package lists or status file could not be parsed or opened.
    E: _cache->open() failed, please report.

  4. #4
    Join Date
    Nov 2009
    Location
    Ontario, Canada
    Beans
    63
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Error with updating and using apt-get (after update to 11.04)

    and I also receive this message after attempting to open the update manager:

    Could not initialize the package information

    An unresolvable problem occurred while initializing the package information.

    Please report this bug against the 'update-manager' package and include the following error message:

    'E:Encountered a section with no Package: header, Eroblem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_bina ry-i386_Packages, E:The package lists or status file could not be parsed or opened.'

  5. #5
    Join Date
    Jan 2007
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Error with updating and using apt-get (after update to 11.04)

    We can move the 'offending' file, which should allow APT to reload a correct Package list:

    Code:
    sudo mv /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_bina ry-i386_Packages ~/Desktop/Packages.bad
    sudo apt-get update
    If it runs without error, you will have a 'root-owned' file on your Desktop, Packages.bad, which you should delete. Open Nautilus as root and use SHIFT-DEL to remove the file:
    Code:
    gksu nautilus ~/Desktop
    GRUB2

    Retired.

  6. #6
    Join Date
    May 2011
    Beans
    3

    Re: Error with updating and using apt-get (after update to 11.04)

    Don't forget to change to your specific Ubuntu mirror.
    Quote Originally Posted by drs305 View Post
    Code:
    sudo mv /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_bina ry-i386_Packages ~/Desktop/Packages.bad
    sudo apt-get update
    In my case it was:
    Code:
    sudo mv /var/lib/apt/lists/ca.archive.ubuntu.com_ubuntu_dists_natty_main_bina ry-i386_Packages ~/Desktop/Packages.bad
    sudo apt-get update

  7. #7
    Join Date
    May 2011
    Beans
    3

    Re: Error with updating and using apt-get (after update to 11.04)

    Alright, after further research, and my above post's instructions not working, I have found a solution that does.

    The solution I came upon is to just remove all of your package listings and rebuild them. NOTE: this does not mean removing your package repositories, just the listings of the packages inside of them. Removing the package listings will force apt-get to rebuild everything so it is normal for it to take a bit longer.

    Code:
    # First delete all of the previously available listings
    sudo rm /var/lib/apt/lists/* -vf
    
    # And then use apt-get to rebuild your package listings
    sudo apt-get update
    Hope everything runs smoothly!
    Also, if you need any more information, I found the fix at this launchpad post:
    https://answers.launchpad.net/ubuntu...uestion/155062

  8. #8
    Join Date
    Nov 2009
    Location
    Ontario, Canada
    Beans
    63
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Error with updating and using apt-get (after update to 11.04)

    Quote Originally Posted by azend View Post
    Alright, after further research, and my above post's instructions not working, I have found a solution that does.

    The solution I came upon is to just remove all of your package listings and rebuild them. NOTE: this does not mean removing your package repositories, just the listings of the packages inside of them. Removing the package listings will force apt-get to rebuild everything so it is normal for it to take a bit longer.

    Code:
    # First delete all of the previously available listings
    sudo rm /var/lib/apt/lists/* -vf
    
    # And then use apt-get to rebuild your package listings
    sudo apt-get update
    Hope everything runs smoothly!
    Also, if you need any more information, I found the fix at this launchpad post:
    https://answers.launchpad.net/ubuntu...uestion/155062
    that worked just fine, thanks for the help everyone! This makes me more appreciative of the internet =)

  9. #9
    Join Date
    Mar 2006
    Location
    California
    Beans
    60

    Re: Error with updating and using apt-get (after update to 11.04)

    Thanks. That worked for me too.

  10. #10
    Join Date
    Aug 2007
    Beans
    23
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: Error with updating and using apt-get (after update to 11.04)

    Quote Originally Posted by azend View Post
    Alright, after further research, and my above post's instructions not working, I have found a solution that does.

    The solution I came upon is to just remove all of your package listings and rebuild them. NOTE: this does not mean removing your package repositories, just the listings of the packages inside of them. Removing the package listings will force apt-get to rebuild everything so it is normal for it to take a bit longer.

    Code:
    # First delete all of the previously available listings
    sudo rm /var/lib/apt/lists/* -vf
    
    # And then use apt-get to rebuild your package listings
    sudo apt-get update
    Hope everything runs smoothly!
    Also, if you need any more information, I found the fix at this launchpad post:
    https://answers.launchpad.net/ubuntu...uestion/155062
    Dude, you're awesome! That worked great!!

Page 1 of 3 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •